import { DataManager, ODataV4Adaptor, Query } from '@syncfusion/ej2-data';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import * as React from 'react';
import './App.css';


export default class App extends React.Component<{}, {}> {
    public data = new DataManager({url:'https://services.odata.org/V4/Northwind/Northwind.svc',adaptor: new ODataV4Adaptor()});
    public  query = new Query().from('Products').select('ProductID,ProductName').take(6);

    public fields = { id: 'ProductID', text: 'ProductName' };
   public render() {
        return (
        <ListViewComponent id='list' dataSource={this.data} fields={this.fields} query={this.query} headerTitle="Remote" showHeader={true}/>
        );
    }
}

